[arch-commits] Commit in devicekit-disks/repos (3 files)

Jan de Groot jgc at archlinux.org
Fri Nov 6 21:58:48 UTC 2009


    Date: Friday, November 6, 2009 @ 16:58:47
  Author: jgc
Revision: 58273

Merged revisions 56820,58272 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/devicekit-disks/trunk

........
  r56820 | jgc | 2009-10-28 09:14:04 +0100 (Wed, 28 Oct 2009) | 1 line
  
  Set keyword
........
  r58272 | jgc | 2009-11-06 22:58:29 +0100 (Fri, 06 Nov 2009) | 3 lines
  
  upgpkg: devicekit-disks 009-1
      Update to 009
  Add post-009 patches from upstream to fix issues with devicemapper devices
........

Added:
  devicekit-disks/repos/extra-x86_64/udev-fixes.patch
    (from rev 58272, devicekit-disks/trunk/udev-fixes.patch)
Modified:
  devicekit-disks/repos/extra-x86_64/	(properties)
  devicekit-disks/repos/extra-x86_64/PKGBUILD	(contents, properties)

------------------+
 PKGBUILD         |   13 ++++---
 udev-fixes.patch |   88 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+), 5 deletions(-)


Property changes on: devicekit-disks/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /devicekit-disks/trunk:1-56103
   + /devicekit-disks/trunk:1-58272

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-06 21:58:29 UTC (rev 58272)
+++ extra-x86_64/PKGBUILD	2009-11-06 21:58:47 UTC (rev 58273)
@@ -1,22 +1,25 @@
-# $Id: $
+# $Id$
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=devicekit-disks
-pkgver=008
+pkgver=009
 pkgrel=1
 pkgdesc="Disk Management Service"
 arch=('i686' 'x86_64')
 url="http://www.freedesktop.org/wiki/Software/DeviceKit"
 license=('GPL')
-depends=('udev>=146' 'sg3_utils' 'glib2>=2.22.2' 'dbus-glib>=0.80' 'polkit>=0.94' 'parted>=1.8.8' 'device-mapper>=2.02.52' 'libatasmart>=0.16')
+depends=('udev>=146' 'sg3_utils>=1.28' 'glib2>=2.22.2' 'dbus-glib>=0.82' 'polkit>=0.94' 'parted>=1.8.8' 'device-mapper>=2.02.53' 'libatasmart>=0.17')
 options=(!libtool)
 makedepends=('intltool')
 replaces=('devicekit')
-source=(http://hal.freedesktop.org/releases/DeviceKit-disks-${pkgver}.tar.gz)
-md5sums=('11c2bf346644e99bdca941394e019130')
+source=(http://hal.freedesktop.org/releases/DeviceKit-disks-${pkgver}.tar.gz
+        udev-fixes.patch)
+md5sums=('2771769829e544e8ffb64297084b9ed9'
+         'a0eab6f03f94faa772e3c06d53e9843e')
 
 build() {
   cd "${srcdir}/DeviceKit-disks-${pkgver}"
+  patch -Np1 -i "${srcdir}/udev-fixes.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
       --libexecdir=/usr/lib/DeviceKit --disable-static || return 1
   make || return 1


Property changes on: devicekit-disks/repos/extra-x86_64/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Copied: devicekit-disks/repos/extra-x86_64/udev-fixes.patch (from rev 58272, devicekit-disks/trunk/udev-fixes.patch)
===================================================================
--- extra-x86_64/udev-fixes.patch	                        (rev 0)
+++ extra-x86_64/udev-fixes.patch	2009-11-06 21:58:47 UTC (rev 58273)
@@ -0,0 +1,88 @@
+From 94287454c3931d6acc81d3e4dbe853a9ebcb8515 Mon Sep 17 00:00:00 2001
+From: David Zeuthen <davidz at redhat.com>
+Date: Tue, 03 Nov 2009 17:47:33 +0000
+Subject: Update udev rules to cope better with device-mapper
+
+See https://bugzilla.redhat.com/show_bug.cgi?id=528909#c24 for details.
+---
+diff --git a/data/95-devkit-disks.rules b/data/95-devkit-disks.rules
+index a7b658c..cff8277 100644
+--- a/data/95-devkit-disks.rules
++++ b/data/95-devkit-disks.rules
+@@ -10,8 +10,15 @@ KERNEL=="loop*|ram*", GOTO="devkit_disks_end"
+ # devices - never touch the device on add events
+ KERNEL=="dm-*", ACTION!="change", GOTO="devkit_disks_end"
+ 
++# honor the flag that device-mapper sets if the device should be ignored
+ ENV{DM_UDEV_DISABLE_OTHER_RULES_FLAG}=="1", GOTO="devkit_disks_end"
+ 
++# ignore private devices - see https://bugzilla.redhat.com/show_bug.cgi?id=528909#c24
++KERNEL=="dm-*", IMPORT{program}="devkit-disks-dm-export %M %m"
++ENV{DKD_DM_UUID}=="CRYPT-TEMP-?*", GOTO="devkit_disks_end"
++ENV{DKD_DM_UUID}!="?*", ENV{DKD_DM_NAME}=="temporary-cryptsetup-?*", GOTO="devkit_disks_end"
++ENV{DKD_DM_NAME}=="?*-pvmove[0-9]*", GOTO="devkit_disks_end"
++
+ ##############################################################################################################
+ 
+ # Probe for partition tables; this really should be part of udev
+@@ -41,7 +48,6 @@ LABEL="probe_parttable_end"
+ KERNEL!="dm-*", GOTO="device_mapper_end"
+ ACTION!="change", GOTO="device_mapper_end"
+ 
+-IMPORT{program}="devkit-disks-dm-export %M %m"
+ ENV{DKD_DM_NAME}!="?*", GOTO="device_mapper_end"
+ 
+ ENV{DKD_DM_STATE}=="SUSPENDED", GOTO="device_mapper_end"
+--
+cgit v0.8.2
+From 351618d08270a0832db3c282082207e6dfa24845 Mon Sep 17 00:00:00 2001
+From: Martin Pitt <martin.pitt at ubuntu.com>
+Date: Tue, 03 Nov 2009 20:50:25 +0000
+Subject: Bug 24885 — LVM LVs now have NOPOLICY=0
+
+Commit a95d3 caused the NOPOLICY rules get cut short for LVs. Move the NOPOLICY
+check close to the top, since its (1) very cheap, and (2) very generic, i. e.
+rules further down might want to tweak it for special cases.
+
+Signed-off-by: David Zeuthen <davidz at redhat.com>
+---
+diff --git a/data/95-devkit-disks.rules b/data/95-devkit-disks.rules
+index cff8277..7f210ad 100644
+--- a/data/95-devkit-disks.rules
++++ b/data/95-devkit-disks.rules
+@@ -6,6 +6,17 @@ ACTION!="add|change", GOTO="devkit_disks_end"
+ SUBSYSTEM!="block", GOTO="devkit_disks_end"
+ KERNEL=="loop*|ram*", GOTO="devkit_disks_end"
+ 
++# Mark devices that shouldn't be automounted / autoassembled etc.
++#
++# Deny all, then punch holes for what looks like physical drives
++# (TODO: this heuristic might need some work)
++#
++
++ENV{DKD_PRESENTATION_NOPOLICY}="1"
++KERNEL=="sd*|hd*|sr*|mmcblk*|mspblk*", ENV{DKD_PRESENTATION_NOPOLICY}="0"
++
++##############################################################################################################
++
+ # we only care about change events on device-mapper
+ # devices - never touch the device on add events
+ KERNEL=="dm-*", ACTION!="change", GOTO="devkit_disks_end"
+@@ -152,15 +163,5 @@ ENV{ID_FS_TYPE}=="ntfs|vfat", \
+ 
+ ##############################################################################################################
+ 
+-# Mark devices that shouldn't be automounted / autoassembled etc.
+-#
+-# Deny all, then punch holes for what looks like physical drives
+-# (TODO: this heuristic might need some work)
+-#
+-
+-ENV{DKD_PRESENTATION_NOPOLICY}="1"
+-KERNEL=="sd*|hd*|sr*|mmcblk*|mspblk*", ENV{DKD_PRESENTATION_NOPOLICY}="0"
+-
+-##############################################################################################################
+ 
+ LABEL="devkit_disks_end"
+--
+cgit v0.8.2




More information about the arch-commits mailing list